use std::fs::File;
use std::io::ErrorKind;

fn main() {
    let f = File::open("foo.md").unwrap_or_else(|error| {
        if error.kind() == ErrorKind::NotFound {
            File::create("foo.md").unwrap_or_else(|error| {
                panic!("create file err: {:?}", error);
            })
        } else {
            panic!("err: {:?}", error);
        }
    });

    println!("{:?}", f);
}
